import { AssetManager } from '../asset-manager';
import { Input } from '../input';
import Resonator from '../resonator';
import { Scene } from '../scene/scene';
import { SceneManager } from '../scene/manager';
import { Scheduler } from '../scheduler';
import { TTS } from '../tts';
import { HTTPLoader } from '../resonator/loaders/http-loader';
import { EventBus } from '../event-bus';
import { World } from '../world';
export declare class Game extends EventBus {
    assetLoader: HTTPLoader;
    assetManager: AssetManager;
    resonator: Resonator;
    input: Input;
    tts: TTS;
    sceneManager: SceneManager;
    scheduler: Scheduler;
    world: World;
    constructor();
    init(): void;
    start(): void;
    addScene(scene: Scene): void;
    addDefaultScene(scene: Scene): void;
    setWorld(world: World): void;
}
